using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Sibenice
{
	public partial class Form1 : Form
	{
		const string Tajenka = "MISSISSIPPI";
		readonly Color[] Barvy = {Color.Red, Color.Pink, Color.Yellow, Color.LightGreen, Color.LightBlue};
		
		int Krok = 1;

		public Form1()
		{
			InitializeComponent();

			Button b;
			for (char c = 'A'; c <= 'Z'; c++)
			{
				b = new Button();
				b.Size = new Size(30, 30);
				b.Text = c.ToString();
				b.Click += Pismeno_Click;
				flBottom.Controls.Add(b);
			}

			Label l;
			Font f = new Font("Arial", 17);
			for (int i = 0; i < Tajenka.Length; i++)
			{
				l = new Label();
				l.Size = new Size(30, 30);
				l.BackColor = Barvy[i % Barvy.Length];
				l.Text = "";
				l.Font = f;
				l.Tag = Tajenka[i];
				flTop.Controls.Add(l);
			}
		}

		private void Pismeno_Click(object sender, EventArgs e)
		{
			Button b = (sender as Button);
			char Pismeno = b.Text[0];
			bool Spravne = false;

			foreach (Label l in flTop.Controls)
			{
				if ((char)l.Tag == Pismeno)
				{
					l.Text = b.Text;
					Spravne = true;
				}
			}

			if (!Spravne) {
				pbSibenice.Image = imObrazkySibenice.Images[Krok++];
				if (Krok == imObrazkySibenice.Images.Count) {
					foreach (Button b2 in flBottom.Controls) {
						b2.Enabled = false;
					}
					MessageBox.Show("Looser :(");
				}
			}

			b.Enabled = false;
		}
	}
}